--called at the start of a game, makes the objects in question
function initHost()

	terrain.vars.init("aneNum", math.random(1, 4))
	for i = 1, (terrain.vars.get("aneNum")) do
	
		--radomize placement of the egg
		ax = terrain.x + math.random(0, terrain.wid)
		ay = terrain.y + math.random(0, terrain.het)
		
		--create the egg
		stage.createShip("Anemone", "null", ax, ay, 7)
	end

		
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function
	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 20	--from map_icons.png, which frame to use.
	icon.color = 4	--brown
	return 0
end